Download it now!
Bug 131126 - WRITER: Numbering should be separate for table columns and inserting a new row shouldn't increase number in vertically merged cell where rows don't change
Summary: WRITER: Numbering should be separate for table columns and inserting a new ro...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-03-04 14:50 UTC by Timur
Modified: 2020-03-17 09:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test ODT (11.63 KB, application/vnd.oasis.opendocument.text)
2020-03-17 08:43 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-03-04 14:50:57 UTC Comment hidden (me-too)
Comment 1 Timur 2020-03-04 14:55:18 UTC
Description:
Numbering is wrong for table columns, also for vertically merged cells.

Steps to Reproduce:
    1. Create a new document in LibreOffice Writer and insert a table with 2 columns and 9 rows.
    2. Merge vertically 3-3 rows in the first column like this: 1-2-3, 4-5-6, and 7-8-9.
    3. Insert numbering in A: the 3 merged cells or B: in all cells.
    4. Move the text cursor to the first cell with the numbering and insert a new row in the table by right clicking on Table > Insert > Rows below

Actual Results:
In 3. numbers in the left merged cells are A: 1., 4., 7. or  B: 1., 7., 13. 
After 4. numbers in the left merged cells are A: 1., 5., 8. or  B: 1., 9., 15. 

Expected Results:
In 3. numbers in the left merged cells are: 1., 2., 3. and in B: numbers are from 1 to 9.
After 4. numbers in the left merged cells in A remain:  1., 2., 3. and in B: numbers increase from 1 to 10.

See attachment 154824 [details] with test compared OO LO MSO.

Note: there was a fix 
https://git.libreoffice.org/core/commit/3a69e1a6b8eab79c55b6e8f3edd2ee2da45b39c0 in bug 123102 but didn't affect this.
Comment 2 Dieter 2020-03-16 09:45:09 UTC Comment hidden (obsolete)
Comment 3 Heiko Tietze 2020-03-17 08:16:05 UTC Comment hidden (obsolete)
Comment 4 Dieter 2020-03-17 08:36:32 UTC
(In reply to Heiko Tietze from comment #3)
> Can we make this a duplicate? It's likely a facet of one of these reports:
> 
> bug 129989 - Inserting a row in a table resets list numbers
> bug 100643 - Numbering of rows in tables changes on horizontal split of
> neighbouring cells

I don't think, that this is a duplicate, but part of the broader topic "Numbering in tables"

> See also 
> 
> Bug 115930 - [META] Adding and deleting cells / rows / columns

I thought about a new Meta-Bug "Numbering in Tables"

> If not, please share a test document as I cannot follow the numbers. No idea
> if this should be an enhancement.

Simply do this
1. Create a table with two columns and some rows
2. Mark first column and add numbering
3. Mark second column and add numbering

Result: Numbering of first column changes
Enhancement: Give possibility to number table per column
Comment 5 Timur 2020-03-17 08:43:26 UTC
Created attachment 158737 [details]
Test ODT

This is a clear bug, per test ODT and  attachment 154824 [details] that shows proper behavior by MSO.
Comment 6 Heiko Tietze 2020-03-17 08:55:53 UTC
(In reply to Dieter from comment #4)
> Result: Numbering of first column changes
> Enhancement: Give possibility to number table per column

Something like Table > Properties > Text Flow: 

Numbering sequence: (o) Row ( ) Column

(In reply to Timur from comment #5)
> This is a clear bug, per test ODT and  attachment 154824 [details] that
> shows proper behavior by MSO.

No idea how to restart numbering comprehensible. It would break the Table > Properties approach.
Comment 7 Dieter 2020-03-17 09:05:25 UTC
(In reply to Heiko Tietze from comment #6)
> (In reply to Dieter from comment #4)
> > Result: Numbering of first column changes
> > Enhancement: Give possibility to number table per column
> 
> Something like Table > Properties > Text Flow: 
> 
> Numbering sequence: (o) Row ( ) Column

Yes, and it should become part of the table toolbar.